EmbodiFlowDocs
Open console
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • Algorithms
                    • Models
                      • Artifacts and export
                        • Billing and usage
                          • Team and governance
                            • GET
                              List api keys
                            • POST
                              Create a api key
                            • DELETE
                              Delete a api key
                            • POST
                              Create a revocation
                            • GET
                              List login options for a auth
                            • POST
                              Create a cli login request
                            • GET
                              Get a cli login request
                            • POST
                              Create a approval request
                            • POST
                              Create a consumption request
                            • POST
                              Create a denial request
                            • GET
                              Get deployment capability descriptor
                            • GET
                              List legal holds
                            • POST
                              Create a legal hold
                            • POST
                              Create a release request
                            • POST
                              Create a password reset
                            • POST
                              Create a confirmation
                            • GET
                              Get resolved flags and active notices for the current tenant
                            • POST
                              Create a registration invitation
                            • POST
                              Create a completion
                            • GET
                              List validation for a registration invitation
                            • POST
                              Create a browser session
                            • DELETE
                              Sign out one of the caller's other devices. The current one is `/current`.
                            • POST
                              Create a bulk invalidation request
                            • DELETE
                              Delete a current
                            • POST
                              Create a current membership switche
                            • POST
                              Create a confirmation
                            • GET
                              List storage regions
                            • GET
                              Get the current team
                            • PATCH
                              Update the current team handle or name
                            • GET
                              List tenant invitations
                            • POST
                              Create a tenant invitation
                            • POST
                              Create a resend request
                            • POST
                              Create a revocation request
                            • POST
                              Create a acceptance record
                            • GET
                              List validation for a tenant invitation
                            • GET
                              List tenant memberships
                            • POST
                              Create a tenant
                            • GET
                              List access review for a current
                            • GET
                              List audit log for a current
                            • GET
                              List exports for a audit log
                            • GET
                              List auth policy for a current
                            • PATCH
                              Update a auth policy
                            • POST
                              Create a deletion request
                            • POST
                              Create a retry request
                            • GET
                              List eligibility for a deletion request
                            • GET
                              List latest for a deletion request
                            • GET
                              List current tenant memberships
                            • DELETE
                              Delete a membership
                            • PATCH
                              Update a membership
                            • POST
                              Create a offboarding request
                            • POST
                              Create a demo completion request
                            • GET
                              List latest for a offboarding request
                            • POST
                              Create a personal data erasure
                            • POST
                              Create a personal data export
                            • GET
                              List scim connections for a current
                            • POST
                              Create a scim connection
                            • POST
                              Create a revocation
                            • POST
                              Create a token rotation
                            • GET
                              List sso connections for a current
                            • POST
                              Create a sso connection
                            • PATCH
                              Update a sso connection
                            • GET
                              List storage bucket for a current
                            • PUT
                              Update a storage bucket
                            • GET
                              List storage reconciliation jobs for a current
                            • POST
                              Create a storage reconciliation job
                            • GET
                              Get a storage reconciliation job
                            • GET
                              List storage summary for a current
                            • GET
                              Describe the presenting credential
                            • POST
                              Create a user import
                            • POST
                              Public self-registration when body has email+password only. Admin tenant user provisioning when body includes mode+role (tenant:manage).
                            • PATCH
                              Update a user
                            • POST
                              Create a password reset request
                            • GET
                              Get the current authenticated user
                            • PATCH
                              Update a me
                            • GET
                              List dashboard metrics for a me
                            • GET
                              Team home statistics for the projects you can see
                            • POST
                              Email a single-use verification link to the signed-in user's current address.
                            • POST
                              Complete verification with the token from the emailed link; bound to the signed-in user and current email.
                            • GET
                              List mfa for a me
                            • DELETE
                              Delete a totp
                            • POST
                              Create a totp
                            • POST
                              Create a verification
                            • POST
                              Create a other session invalidation request
                            • PATCH
                              Update a password
                            • POST
                              Create a personal data erasure
                            • POST
                              Create a personal data export
                            • GET
                              List sessions for a me
                            • GET
                              List credentials for a webauthn
                            • DELETE
                              Delete a credential
                            • POST
                              Create a registration option
                            • POST
                              Create a registration
                            • POST
                              Create a vision annotation for a single frame
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Team and governance
                              4. Team home statistics for the projects you can see

                              Team home statistics for the projects you can see

                              GET
                              /v1/users/me/dashboard-stats
                              curl -X GET 'https://api.embodiflow.io/v1/users/me/dashboard-stats' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Query parameters

                              • rangestring
                                Allowed values
                                7d
                                30d
                                90d

                              Responses

                              Success

                              • dataobjectrequired
                                • rangestringrequired
                                  Allowed values
                                  7d
                                  30d
                                  90d
                                • bucketstringrequired
                                  Allowed values
                                  day
                                  week
                                • periodStartstringrequired
                                • periodEndstringrequired
                                • kpisobjectrequired
                                • seriesarray<DashboardStatsSeriesBucketDto>required
                                • byDataKindarray<DashboardStatsDataKindDto>required
                                • workflowRunsobjectrequired
                                • qualityobjectrequired
                                • projectsarray<DashboardStatsProjectDto>required
                              Response example
                              {
                                "data": {
                                  "range": "7d",
                                  "bucket": "day",
                                  "periodStart": "string",
                                  "periodEnd": "string",
                                  "kpis": {
                                    "projects": {
                                      "total": 0,
                                      "inPeriod": 0,
                                      "previousPeriod": 0
                                    },
                                    "recordings": {
                                      "total": 0,
                                      "inPeriod": 0,
                                      "previousPeriod": 0
                                    },
                                    "episodes": {
                                      "total": 0,
                                      "inPeriod": 0,
                                      "previousPeriod": 0
                                    },
                                    "projectVersions": {
                                      "total": 0,
                                      "inPeriod": 0,
                                      "previousPeriod": 0
                                    },
                                    "dataDuration": {
                                      "totalNs": "string",
                                      "inPeriodNs": "string",
                                      "previousPeriodNs": "string"
                                    }
                                  },
                                  "series": [
                                    {
                                      "bucketStart": "string",
                                      "recordings": 0,
                                      "episodes": 0,
                                      "workflowRunsSucceeded": 0,
                                      "workflowRunsWarnings": 0,
                                      "workflowRunsFailed": 0,
                                      "workflowRunsOther": 0
                                    }
                                  ],
                                  "byDataKind": [
                                    {
                                      "dataKind": "human",
                                      "projects": 0,
                                      "recordings": 0,
                                      "episodes": 0
                                    }
                                  ],
                                  "workflowRuns": {
                                    "succeeded": 0,
                                    "warnings": 0,
                                    "failed": 0,
                                    "running": 0,
                                    "other": 0
                                  },
                                  "quality": {},
                                  "projects": [
                                    {
                                      "id": "string",
                                      "slug": "string",
                                      "name": "string",
                                      "dataKind": "human",
                                      "isSample": false,
                                      "recordings": 0,
                                      "episodes": 0,
                                      "versions": 0,
                                      "lastActivityAt": "string"
                                    }
                                  ]
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              GET /users/me/dashboard-metrics

                              Next

                              POST /users/me/email-verifications

                              curl -X GET 'https://api.embodiflow.io/v1/users/me/dashboard-stats' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "range": "7d",
                                  "bucket": "day",
                                  "periodStart": "string",
                                  "periodEnd": "string",
                                  "kpis": {
                                    "projects": {
                                      "total": 0,
                                      "inPeriod": 0,
                                      "previousPeriod": 0
                                    },
                                    "recordings": {
                                      "total": 0,
                                      "inPeriod": 0,
                                      "previousPeriod": 0
                                    },
                                    "episodes": {
                                      "total": 0,
                                      "inPeriod": 0,
                                      "previousPeriod": 0
                                    },
                                    "projectVersions": {
                                      "total": 0,
                                      "inPeriod": 0,
                                      "previousPeriod": 0
                                    },
                                    "dataDuration": {
                                      "totalNs": "string",
                                      "inPeriodNs": "string",
                                      "previousPeriodNs": "string"
                                    }
                                  },
                                  "series": [
                                    {
                                      "bucketStart": "string",
                                      "recordings": 0,
                                      "episodes": 0,
                                      "workflowRunsSucceeded": 0,
                                      "workflowRunsWarnings": 0,
                                      "workflowRunsFailed": 0,
                                      "workflowRunsOther": 0
                                    }
                                  ],
                                  "byDataKind": [
                                    {
                                      "dataKind": "human",
                                      "projects": 0,
                                      "recordings": 0,
                                      "episodes": 0
                                    }
                                  ],
                                  "workflowRuns": {
                                    "succeeded": 0,
                                    "warnings": 0,
                                    "failed": 0,
                                    "running": 0,
                                    "other": 0
                                  },
                                  "quality": {},
                                  "projects": [
                                    {
                                      "id": "string",
                                      "slug": "string",
                                      "name": "string",
                                      "dataKind": "human",
                                      "isSample": false,
                                      "recordings": 0,
                                      "episodes": 0,
                                      "versions": 0,
                                      "lastActivityAt": "string"
                                    }
                                  ]
                                }
                              }